import java.util.List;

public class PrintPersons {
    int minAge, maxAge;

    public PrinterPersons(int minAge, int maxAge) {
        this.minAge = minAge;
        this.maxAge = maxAge;
    }

    CheckPerson checkAgeRange = p -> (minAge <= p.getAge() && p.getAge() < maxAge);

    public static void printPersons(List<Person> roster, CheckPerson tester) {
        for (Person p : roster) {
            if (tester.test(p)) {
                p.printPerson();
            }
        }
    }
}
