import java.time.LocalDate;
import java.time.Period;
import java.util.List;

public class Person{
    public enum Sex {
        MALE, FEMLE
    }

    String name;
    LocalDate birthday;
    Sex gender;
    String emailAddress;
    int age;

    public Person(String name, LocalDate birthday, Sex gender, String emailAddress) {
        this.name = name;
        this.birthday = birthday;
        this.emailAddress = emailAddress;
        this.gender = gender;
    }
    public int getAge() {
        return Period.between(birthday, LocalDate.now()).getYears();
    }

    public void printPerson() {
        System.out.println("Name: " + this.name + " " + this.gender + " " + this.birthday + " " + this.emailAddress);
            }
        }
    }
}
