import org.junit.jupiter.api.Test;

import java.time.LocalDate;
import java.time.Month;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class PersonTest {

    @Test
    public void getAgeTest() {
        Person person = new Person("Hi", LocalDate.of(1991, Month.FEBRUARY, 27), Person.Sex.MALE, "jizzle@gmail.com");
        int expected = 27;
        int actual = person.getAge();
        assertEquals(expected, actual);
    }

    @Test
    public void printPersonTest() {
        Person person = new Person("Hi", LocalDate.of(1991, Month.FEBRUARY, 27), Person.Sex.MALE, "jizzle@gmail.com");
        person.printPerson();
    }

}
